# gui.nix: configure x11 stuff common to any wm/de

{ config, pkgs, ... }:

{
  #imports = [ ./base.nix ];

  networking.wireless.enable = false;
  networking.networkmanager.enable = true;

  environment.systemPackages = with pkgs; [
    pkgs.powerline-fonts

    pkgs.gtk3
    pkgs.gtk_engines
    pkgs.gnome2.gnome_icon_theme
    pkgs.shared_mime_info
    pkgs.arc-theme
    pkgs.arc-icon-theme
    pkgs.hicolor_icon_theme
    pkgs.elementary-xfce-icon-theme

    pkgs.rxvt_unicode
    pkgs.redshift
    pkgs.xorg.xbacklight
    # internet / communication stuff
    pkgs.pulseaudioFull
    pkgs.pamixer
    pkgs.pulsemixer
    pkgs.google-chrome
    pkgs.chromium
    pkgs.firefox
    #pkgs.flashplayer
    pkgs.discord
    pkgs.tdesktop
    pkgs.thunderbird
    pkgs.keepassxc
    pkgs.xorg.xkill
    pkgs.nextcloud-client
    pkgs.rxvt_unicode
    pkgs.networkmanager_openvpn
    pkgs.networkmanager_vpnc
    pkgs.networkmanager_strongswan
    pkgs.networkmanagerapplet
    pkgs.signal-desktop
    pkgs.anydesk
    pkgs.keybase
    pkgs.keybase-gui
    pkgs.kbfs
    #stable.spotify
    pkgs.pavucontrol
    pkgs.gnupg
    pkgs.libsecret
#    pkgs.gnome3.gnome-keyring
  ];

  services.xserver = {
    enable = true;
    layout = "de";
    displayManager.lightdm.enable = true;
  };
  services.gnome3.gnome-keyring = {
    enable = true;
  };

  fonts = {
    enableFontDir = true;
    enableGhostscriptFonts = true;
    fonts = with pkgs; [
      corefonts
      roboto
      inconsolata
      ubuntu_font_family
      unifont
      terminus_font
      powerline-fonts
    ];
  };
#  security.pam.enableGnomeKeyring = {
#    enable = true;
# };
}
