# i3.nix: use i3 as the desktop manager

{ config, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # window manager + basic essentials
    pkgs.lightdm
    pkgs.i3
    pkgs.i3status
    pkgs.i3status-rust
    pkgs.i3lock-fancy
    pkgs.xautolock
    pkgs.dmenu
    pkgs.j4-dmenu-desktop
    pkgs.powerline-fonts
    pkgs.font-awesome
    pkgs.font-awesome-ttf
    pkgs.font-awesome_5
    pkgs.font-awesome_4
    pkgs.lxappearance

    pkgs.xfce.exo
    pkgs.xfce.gvfs
    pkgs.xfce.thunar
    pkgs.xfce.thunar_volman
    pkgs.xfce.thunar-archive-plugin
    pkgs.xfce.xfce4icontheme
    pkgs.xfce.terminal
    # internet / communication stuff
    pkgs.tdesktop
    pkgs.rofi
    pkgs.maim
    pkgs.pasystray
    pkgs.feh
    pkgs.networkmanager_dmenu
    pkgs.udiskie
    pkgs.inconsolata
    pkgs.termite
  ];

  services.xserver = {
    windowManager.i3.enable = true;
  };
  services.gnome3.at-spi2-core.enable = true;
  services.dbus.socketActivated = true;

}
